> For the complete documentation index, see [llms.txt](https://docs.gem-suite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gem-suite.com/api-reference/objects/agenda/appointment.md).

# Appointment

| Attribute         | Type    | Description                                                                       |
| ----------------- | ------- | --------------------------------------------------------------------------------- |
| id                | integer | ID of the sale                                                                    |
| sale\_id          | integer | Sale unique identifier                                                            |
| sale\_product\_id | integer | Sale product unique identifier                                                    |
| client\_id        | integer | Client unique identifier                                                          |
| vehicle\_id       | integer | Vehicle unique identifier                                                         |
| bay\_id           | integer | Bay unique identifier                                                             |
| workflow\_id      | integer | Workflow step unique identifier                                                   |
| date\_at          | date    | Date of the start of the appointment                                              |
| time\_at          | time    | Time of the start of the appointment                                              |
| date\_end         | date    | Date of the end of the appointment                                                |
| time\_end         | time    | Time of the end of the appointment                                                |
| duration          | float   | Duration of the appointment excluding diner and optionally out of business hours. |
| description       | text    | Optional description for the appointment                                          |
| title             | text    | Optional title for the appointment                                                |
| notes             | text    | Optional notes for the appointment                                                |
| color             | text    | Color displayed in the agenda                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gem-suite.com/api-reference/objects/agenda/appointment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
